#ifndef EMOTION_BASE
#define EMOTION_BASE

/* EFL++ */
#include <eflcommon.h>
#include <evas.h>

/* STD */
#include <iostream>
using namespace std;

/**
 * C++ Wrapper for the Enlightenment Emotion Library (EMOTION)
 *
 * @author Michael 'Mickey' Lauer <mickey@Vanille.de>
 */

namespace efl {

class EvasEmotion : public EvasObject
{
  public:
    EvasEmotion( EvasCanvas* canvas, const char* name = 0 );
    EvasEmotion( const char* filename, EvasCanvas* canvas, const char* name = 0 );
    EvasEmotion( int x, int y, const char* filename, EvasCanvas* canvas, const char* name = 0 );
    EvasEmotion( int x, int y, int width, int height, const char* filename, EvasCanvas* canvas, const char* name = 0 );
    //EvasEmotion( Evas_Object* object, EvasCanvas* canvas, const char* name = 0 );
    ~EvasEmotion();

    void setFile( const char* filename );
    void setPlay( bool b );
    void setSmoothScale( bool b );
};

}

#endif
