include ( $(EDIR)/include.pro )

TARGET = efl++
DESTDIR = $(EDIR)/lib
TEMPLATE = lib
CONFIG = $$EFLCONFIG
VERSION = 0.1.0-snapshot
DEFINES += EFL_VERSION_CODE=\"$$VERSION\"

debug {
    QMAKE_CXXFLAGS += $$system( pkg-config libcwd --cflags )
    QMAKE_LIBS     += $$system( pkg-config libcwd --libs )
}

eflbasic {
    include ( common/common.pro )
    include ( misc/misc.pro )
    #include ( edb/edb.pro )
    #include ( eet/eet.pro )
    include ( evas/evas.pro )
    include ( ecore/ecore.pro )
    include ( edje/edje.pro )
    DEFINES += EFL_SUPPORT_BASIC
    LIBS += -lecore_evas -levas -ledje
    QMAKE_CXXFLAGS += $$system( pkg-config sigc++-2.0 --cflags )
    QMAKE_LIBS     += $$system( pkg-config sigc++-2.0 --libs )
}

eflemotion {
    include ( emotion/emotion.pro )
    LIBS += -lemotion
    DEFINES += EFL_SUPPORT_EMOTION
}

eflesmart {
    include ( esmart/esmart.pro )
    LIBS += -lesmart_container -lesmart_text_entry
    DEFINES += EFL_SUPPORT_ESMART
}

eflewl {
    include ( ewl/ewl.pro )
    LIBS += -lewl
    DEFINES += EFL_SUPPORT_EWL
}

efletk {
    include ( etk/etk.pro )
    LIBS += -letk
    DEFINES += EFL_SUPPORT_ETK
}

